<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/print_bind_map.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv0_p2 { color: #add8e6; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>08/18/83  print_bind_map, pbm
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>Syntax:  pbm path <span class="textRainbow_lv0_p2">{</span>components<span class="textRainbow_lv0_p2">}</span> <span class="textRainbow_lv0_p2">{</span>-control_args<span class="textRainbow_lv0_p2">}</span>
<span id="L4" class="LineNr"> 4 </span>
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span>Function:  displays all or part of the bind map of an object segment
<span id="L7" class="LineNr"> 7 </span>generated by version 4 or subsequent versions of the binder.
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Arguments:
<span id="L11" class="LineNr">11 </span>path
<span id="L12" class="LineNr">12 </span>   is the pathname of a bound object segment.
<span id="L13" class="LineNr">13 </span>components
<span id="L14" class="LineNr">14 </span>   are the optional names of one or more components of this bound
<span id="L15" class="LineNr">15 </span>   object and/or the bindfile name.  Only the lines corresponding to
<span id="L16" class="LineNr">16 </span>   these components are displayed.  A component name must contain one
<span id="L17" class="LineNr">17 </span>   or more nonnumeric characters.  If it is purely numerical, it is
<span id="L18" class="LineNr">18 </span>   assumed to be an octal offset within the bound segment, and the
<span id="L19" class="LineNr">19 </span>   lines corresponding to the component residing at that offset are
<span id="L20" class="LineNr">20 </span>   displayed.  A numerical component name can be specified by preceding
<span id="L21" class="LineNr">21 </span>   it with -name.  If no component names are supplied, the entire bind
<span id="L22" class="LineNr">22 </span>   map is displayed.
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Control arguments:
<span id="L26" class="LineNr">26 </span>-long, -lg
<span id="L27" class="LineNr">27 </span>   prints the components' relocation values <span class="textRainbow_lv0_p0">(</span>also printed in the
<span id="L28" class="LineNr">28 </span>   default brief mode<span class="textRainbow_lv0_p0">)</span>, compilation times, and source languages.
<span id="L29" class="LineNr">29 </span>-name STR, -nm STR
<span id="L30" class="LineNr">30 </span>   is used to indicate that STR is really a component name, even though
<span id="L31" class="LineNr">31 </span>   it appears to be an octal offset.
<span id="L32" class="LineNr">32 </span>-no_header, -nhe
<span id="L33" class="LineNr">33 </span>   omits all headers, printing only lines concerning the components
<span id="L34" class="LineNr">34 </span>   themselves.
<span id="L35" class="LineNr">35 </span>-page_offset, -pgofs
<span id="L36" class="LineNr">36 </span>   causes the page number of the first word of the text section of each
<span id="L37" class="LineNr">37 </span>   component to be printed as an octal number, which is the format used
<span id="L38" class="LineNr">38 </span>   by the cumulative_page_trace command.  If the component crosses at
<span id="L39" class="LineNr">39 </span>   least one page boundary, a plus <span class="textRainbow_lv0_p0">(</span>+<span class="textRainbow_lv0_p0">)</span> character follows the page
<span id="L40" class="LineNr">40 </span>   number.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
